org.apache.cassandra.streaming.messages

## Class OutgoingFileMessage

- java.lang.Object
- - org.apache.cassandra.streaming.messages.StreamMessage
  - - org.apache.cassandra.streaming.messages.OutgoingFileMessage

    public class OutgoingFileMessage
    extends StreamMessage

OutgoingFileMessage is used to transfer the part(or whole) of a SSTable data file.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`StreamMessage.Serializer<V extends StreamMessage>, StreamMessage.Type`

### Field Summary

Fields
`FileMessageHeader` `header`
`static StreamMessage.Serializer<OutgoingFileMessage>` `serializer`

### Fields inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`CURRENT_VERSION, type, VERSION_20, VERSION_22, VERSION_30`

### Constructor Summary

Constructors
Constructor and Description
`OutgoingFileMessage(Ref<SSTableReader> ref, int sequenceNumber, long estimatedKeys, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, long repairedAt, boolean keepSSTableLevel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complete()`
`void` `finishTransfer()`
`void` `serialize(DataOutputStreamPlus out, int version, StreamSession session)`
`void` `startTransfer()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.streaming.messages.StreamMessage

`deserialize, getPriority, sent, serialize, wasSent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static StreamMessage.Serializer<OutgoingFileMessage> serializer

#### header

    public final FileMessageHeader header

### Constructor Detail

#### OutgoingFileMessage

    public OutgoingFileMessage(Ref<SSTableReader> ref,
                               int sequenceNumber,
                               long estimatedKeys,
                               java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                               long repairedAt,
                               boolean keepSSTableLevel)

### Method Detail

#### serialize

    public void serialize(DataOutputStreamPlus out,
                          int version,
                          StreamSession session)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### finishTransfer

    public void finishTransfer()

#### startTransfer

    public void startTransfer()

#### complete

    public void complete()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`